org.apache.nutch.core.jsoup.extractor

## Class JsoupExtractorConstants

- java.lang.Object
- - org.apache.nutch.core.jsoup.extractor.JsoupExtractorConstants

-     public class JsoupExtractorConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_CLASS`
    `static java.lang.String` | `ATTR_NAME`
    `static java.lang.String` | `ATTR_URL_PATTERN`
    `static java.lang.String` | `JSOUP_DOC_DEFAULT_FILE`
    `static java.lang.String` | `JSOUP_DOC_PROPERTY_FILE`
    `static java.lang.String` | `TAG_ATTRIBUTE`
    `static java.lang.String` | `TAG_CSS_SELECTOR`
    `static java.lang.String` | `TAG_DEFAULT_VALUE`
    `static java.lang.String` | `TAG_DOCUMENT`
    `static java.lang.String` | `TAG_FIELD`
    `static java.lang.String` | `TAG_FIELD_LIST`
    `static java.lang.String` | `TAG_NORMALIZER`
    `static java.lang.String` | `TAG_NORMALIZER_LIST`
    `static java.lang.String` | `TAG_TYPE`
    `static java.lang.String` | `TAG_TYPE_LIST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsoupExtractorConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSOUP_DOC_PROPERTY_FILE

          public static final java.lang.String JSOUP_DOC_PROPERTY_FILE

      See Also:
        Constant Field Values

    - #### JSOUP_DOC_DEFAULT_FILE

          public static final java.lang.String JSOUP_DOC_DEFAULT_FILE

      See Also:
        Constant Field Values

    - #### TAG_DOCUMENT

          public static final java.lang.String TAG_DOCUMENT

      See Also:
        Constant Field Values

    - #### ATTR_URL_PATTERN

          public static final java.lang.String ATTR_URL_PATTERN

      See Also:
        Constant Field Values

    - #### TAG_FIELD_LIST

          public static final java.lang.String TAG_FIELD_LIST

      See Also:
        Constant Field Values

    - #### TAG_FIELD

          public static final java.lang.String TAG_FIELD

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final java.lang.String ATTR_NAME

      See Also:
        Constant Field Values

    - #### TAG_CSS_SELECTOR

          public static final java.lang.String TAG_CSS_SELECTOR

      See Also:
        Constant Field Values

    - #### TAG_ATTRIBUTE

          public static final java.lang.String TAG_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### TAG_DEFAULT_VALUE

          public static final java.lang.String TAG_DEFAULT_VALUE

      See Also:
        Constant Field Values

    - #### TAG_NORMALIZER_LIST

          public static final java.lang.String TAG_NORMALIZER_LIST

      See Also:
        Constant Field Values

    - #### TAG_TYPE_LIST

          public static final java.lang.String TAG_TYPE_LIST

      See Also:
        Constant Field Values

    - #### TAG_NORMALIZER

          public static final java.lang.String TAG_NORMALIZER

      See Also:
        Constant Field Values

    - #### TAG_TYPE

          public static final java.lang.String TAG_TYPE

      See Also:
        Constant Field Values

    - #### ATTR_CLASS

          public static final java.lang.String ATTR_CLASS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JsoupExtractorConstants

          public JsoupExtractorConstants()

Copyright © 2019 The Apache Software Foundation